Bug 566407 - Review Request: perl-Number-Bytes-Human - Convert byte count to human readable format
Review Request: perl-Number-Bytes-Human - Convert byte count to human readabl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 566410
  Show dependency treegraph
 
Reported: 2010-02-18 07:26 EST by Mykola Ulianytskyi
Modified: 2015-01-18 15:28 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-Number-Bytes-Human-0.07-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 21:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mykola Ulianytskyi 2010-02-18 07:26:28 EST
Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/perl-Number-Bytes-Human.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/perl-Number-Bytes-Human-0.07-1.fc12.src.rpm

Description: 
This module provides a formatter which turns byte counts to usual readable
format, like '2.0K', '3.1G', '100B'. It was inspired in the -h option of
Unix utilities like du, df and ls for "human-readable" output.

$ rpmlint {i386,x86_64,SRPMS}/perl-Number-Bytes-Human*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package builds successfully by mock on i686/x86_64 architectures.

This is one from my first packages and I'm looking for a sponsor.
Comment 1 Mykola Ulianytskyi 2010-02-19 04:42:43 EST
Builds successfully in mock on Fedora 11 with i386/x86_64 architectures.
Comment 2 Mykola Ulianytskyi 2010-02-19 07:52:54 EST
Builds successfully in mock on Fedora 13 with i386/x86_64 architectures.
Comment 3 Jason Tibbitts 2010-02-19 16:12:09 EST
Steve, please note that this review must be done by a sponsor.
Comment 4 Steve Traylen 2010-02-20 05:43:32 EST
Yes as Jason Mentions I can't review this to completion.

But looking at the package it all looks to fine from a packaging point of
view.
Comment 5 Mamoru TASAKA 2010-03-07 04:26:56 EST
Steve, please feel free to review this if you want as now I
am sponsoring Nikolay.
Comment 6 Steve Traylen 2010-03-07 07:01:47 EST
Review:  perl-Number-Bytes-Human-0.07-1
Date:    March 7th 2010
Koji Build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2036564

*  MUST: rpmlint must be run on every package. The output should be 
         posted in the review.
$ rpmlint perl-Number-Bytes-Human.spec ../SRPMS/perl-Number-Bytes-Human-0.07-1.fc14.src.rpm ../RPMS/noarch/perl-Number-Bytes-Human-0.07-1.fc14.noarch.rpm 
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US du -> dew, doe, Du
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US df -> sf, ff, dd
perl-Number-Bytes-Human.src: W: non-coherent-filename perl-Number-Bytes-Human-0.07-1.fc14.src.rpm perl-Number-Bytes-Human-0.07-1.fc14.noarch.rpm
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US du -> dew, doe, Du
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US df -> sf, ff, dd
2 packages and 1 specfiles checked; 0 errors, 7 warnings.

MAYBE: I'm a bit confused by the non-coherent-filename error? You could
       try and remove the word "formatter" as it does not exist.

*  MUST: The package must be named according to the Package Naming 
         Guidelines.
MAYBE: I've been advised before by people more in the know before to change
PERL_INSTALL_ROOT=%{buildroot}
to
INSTALLDIR=%{buildroot}

*  MUST: The spec file name must match the base package %{name}, 
         in the format %{name}.spec unless your package has an exemption.

YES.

*  MUST: The package must meet the Packaging Guidelines.
YES.
*  MUST: The package must be licensed with a Fedora approved license 
         and meet the Licensing Guidelines .
YES. GPL+ or Artistic
*  MUST: The License field in the package spec file must match the actual 
         license. 
YES. Declares itself to be "perl"
*  MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text 
         of the license(s) for the package must be included in %doc.
YES. No file is included.
*  MUST: The spec file must be written in American English.
NO. rpmlint error on 'filterer'.

*  MUST: The spec file for the package MUST be legible. 
YES.
*  MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum 
         for this task. If no upstream URL can be specified for this package,
         please see the Source URL Guidelines for how to deal with this.
YES.
8e5d230709bfc5e919f5f47ed3cb5bdb  Number-Bytes-Human-0.07.tar.gz
8e5d230709bfc5e919f5f47ed3cb5bdb  ../SOURCES/Number-Bytes-Human-0.07.tar.gz


*  MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture. 
YES. See koji builds

*  MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in 
         the spec in ExcludeArch. Each architecture listed in ExcludeArch 
         MUST have a bug filed in bugzilla, describing the reason that 
         the package does not compile/build/work on that architecture.
         The bug number MUST be placed in a comment, next to the 
         corresponding ExcludeArch line. 
YES: It compiles anyway.
*  MUST: All build dependencies must be listed in BuildRequires,
         except for any that are listed in the exceptions section of
         the Packaging Guidelines ; inclusion of those as BuildRequires 
         is optional. Apply common sense.
YES. They seem sane
*  MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is 
         strictly forbidden.
YES: no Locales.
*  MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's
         default paths, must call ldconfig in %post and %postun. 
YES: no libs.
*  MUST: Packages must NOT bundle copies of system libraries.
YES: No system libs.
*  MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the  
         rationalization for relocation of that specific package. 
         Without this, use of Prefix: /usr is considered a blocker. 
YES: Not relocatable.
* MUST: A package must own all directories that it creates. If it 
         does not create a directory that it uses, then it should 
         require a package which does create that directory. 
YES:
* MUST:  A Fedora package must not list a file more than once in the 
         spec file's %files listings. 
YES:
* MUST:  Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example. Every %files 
         section must include a %defattr(...) line. 
YES:
* MUST:  Each package must have a %clean section, which contains 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES:
* MUST:  Each package must consistently use macros.
YES:
* MUST:  The package must contain code, or permissable content.
YES:
* MUST:  Large documentation files must go in a -doc subpackage.  
         (The definition of large is left up to the packager's 
         best judgement, but is not restricted to size. Large 
         can refer to either size or quantity).
YES:
* MUST:  If a package includes something as %doc, it must not affect 
         the runtime of the application. To summarize: If it is in 
         %doc, the program must run properly if it is not present.
YES:
* MUST:  Header files must be in a -devel package.
YES:
* MUST:  Static libraries must be in a -static package.
YES:
* MUST:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
         (for directory ownership and usability).
YES:
* MUST:  If a package contains library files with a suffix 
         (e.g. libfoo.so.1.1), then library files that end in .so 
         (without suffix) must go in a -devel package. 
YES:
* MUST:  In the vast majority of cases, devel packages must require 
         the base package using a fully versioned dependency: 
         Requires: %{name} = %{version}-%{release}
YES:
* MUST:  Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.[21]
YES:
* MUST:  Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly 
         installed with desktop-file-install in the %install section.
         If you feel that your packaged GUI application does not need 
         a .desktop file, you must put a comment in the spec file with 
         your explanation. 
YES:
* MUST:  Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first 
         package to be installed should own the files or directories 
         that other packages may rely upon. This means, for example, 
         that no package in Fedora should ever share ownership with any of 
         the files or directories owned by the filesystem or man package. 
         If you feel that you have a good reason to own a file or 
         directory that another package owns, then please present 
         that at package review time. 
YES:
*  MUST: At the beginning of %install, each package MUST run 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES:
*  MUST: All filenames in rpm packages must be valid UTF-8.
YES:
*  SHOULD: If the source package does not include license text(s) as a 
           separate file from upstream, the packager SHOULD query 
           upstream to include it.
YES:  A license file should be added  but it I notice there is a comment
      allready in the README file so upstream plans to do it.
*  SHOULD: The description and summary sections in the package spec file 
           should contain translations for supported Non-English languages, 
           if available.
YES: None available.
*  SHOULD: The reviewer should test that the package builds in mock.
YES: see koji.
*  SHOULD: The package should compile and build into binary rpms on 
           all supported architectures.
YES:
*  SHOULD: The reviewer should test that the package functions as described.
           A package should not segfault instead of running, for example.
Not tested.
*  SHOULD: If scriptlets are used, those scriptlets must be sane. This 
           is vague, and left up to the reviewers judgement to determine 
           sanity.
YES: no srcipts.
*  SHOULD: Usually, subpackages other than devel should require the base 
           package using a fully versioned dependency.
YES: no devel.
*  SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
           and this is usually for development purposes, so should be 
           placed in a -devel pkg. A reasonable exception is that the 
           main pkg itself is a devel tool not installed in a user runtime,
           e.g. gcc or gdb.
YES: no pkgconfig file.
*  SHOULD: If the package has file dependencies outside of /etc, /bin,
           /sbin, /usr/bin, or /usr/sbin consider requiring the package 
           which provides the file instead of the file itself. 
YES: 
*  SHOULD: your package should contain man pages for binaries/scripts.
           If it doesn't, work with upstream to add them where they make 
           sense.

So in summary, just the INSTALLDIR comment and the use of the word
"formatter" which is not a word.

Also the "non-coherent-filename" just confuses me, it looks to be 
an rpmlint bug but I'll check some more.

Steve
Comment 7 Mamoru TASAKA 2010-03-07 09:52:30 EST
About "non-coherent-filename":

If you are using "rawhide" (i.e. fc14) rpmlint:

http://koji.fedoraproject.org/koji/buildinfo?buildID=160474
* Sat Mar 06 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.95-2 
- Patch to fix non-coherent-filename regression for source packages.
Comment 8 Mykola Ulianytskyi 2010-03-07 09:59:23 EST
> So in summary, just the INSTALLDIR comment and the use of the word "formatter" which is not a word.
Fixed

> Also the "non-coherent-filename" just confuses me
I can't reproduce the error with rpmlint-0.94-1.fc12.noarch


Spec diff:
@@ -1,6 +1,6 @@
 Name:           perl-Number-Bytes-Human
 Version:        0.07
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Convert byte count to human readable format

 Group:          Development/Libraries
@@ -19,7 +19,7 @@


 %description
-This module provides a formatter which turns byte counts to usual readable
+This module is designed to format byte counts to usual readable
 format, like '2.0K', '3.1G', '100B'. It was inspired in the -h option of
 Unix utilities like du, df and ls for "human-readable" output.

@@ -29,19 +29,20 @@

 # Fix file end-of-line encoding
 for f in Changes README; do
-    %{__sed} -i 's/\r//' $f
+    %{__sed} 's/\r//' $f > $f.new
+    touch -r $f $f.new
+    %{__mv} -f $f.new $f
 done


 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
-make %{?_smp_mflags}
+%{__make} %{?_smp_mflags}


 %install
 %{__rm} -rf %{buildroot}
-
-make pure_install PERL_INSTALL_ROOT=%{buildroot}
+%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}

 find %{buildroot} -type f -name .packlist -exec rm -f {} \;
 find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
@@ -65,5 +66,9 @@


 %changelog
+* Sat Feb 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.07-2
+- Fixed the description
+- Preserve timestamps on documentation files


$ rpmlint perl-Number-Bytes-Human-0.07-2.fc12.src.rpm
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US du -> dew,
doe, Du
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US df -> sf,
ff, dd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


$ rpmlint perl-Number-Bytes-Human-0.07-2.fc12.noarch.rpm
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US du ->
dew, doe, Du
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US df ->
sf, ff, dd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Spec URL:
http://repo.lystor.org.ua/fedora/12/SPECS/perl-Number-Bytes-Human.spec

SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/perl-Number-Bytes-Human-0.07-2.fc12.src.rpm
Comment 9 Steve Traylen 2010-03-07 10:32:41 EST
Hi, 
Sorry I confused myself with my PERL_INSTALL_ROOT comment, what I meant
but did not write it down was.

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}

should become 

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

change that and I'll approve.

 Steve.
Comment 10 Mykola Ulianytskyi 2010-03-07 11:01:22 EST
Hi

> change that and I'll approve.
Done

Spec diff:
@@ -1,6 +1,6 @@
 Name:           perl-Number-Bytes-Human
 Version:        0.07
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Convert byte count to human readable format

 Group:          Development/Libraries
@@ -42,7 +42,7 @@

 %install
 %{__rm} -rf %{buildroot}
-%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
+%{__make} pure_install DESTDIR=%{buildroot}

 find %{buildroot} -type f -name .packlist -exec rm -f {} \;
 find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
@@ -66,6 +66,9 @@


 %changelog
+* Sun Mar 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.07-3
+- Using DESTDIR instead of PERL_INSTALL_ROOT


$ rpmlint perl-Number-Bytes-Human-0.07-3.fc12.src.rpm
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US du -> dew, doe, Du
perl-Number-Bytes-Human.src: W: spelling-error %description -l en_US df -> sf, ff, dd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint perl-Number-Bytes-Human-0.07-3.fc12.noarch.rpm
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US du -> dew, doe, Du
perl-Number-Bytes-Human.noarch: W: spelling-error %description -l en_US df -> sf, ff, dd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Spec URL:
http://repo.lystor.org.ua/fedora/12/SPECS/perl-Number-Bytes-Human.spec

SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/perl-Number-Bytes-Human-0.07-3.fc12.src.rpm
Comment 11 Steve Traylen 2010-03-07 11:08:53 EST
APPROVED.

  Steve

p.s I've a perl module that needs reviewing if you have the time. bug #569893
Comment 12 Mykola Ulianytskyi 2010-03-07 11:54:19 EST
New Package CVS Request
=======================
Package Name: perl-Number-Bytes-Human
Short Description: Convert byte count to human readable format
Owners: lystor
Branches: F-11 F-12 F-13
InitialCC:
Comment 13 Kevin Fenzi 2010-03-09 01:15:17 EST
CVS done (by process-cvs-requests.py).
Comment 14 Fedora Update System 2010-03-10 02:44:21 EST
perl-Number-Bytes-Human-0.07-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc13
Comment 15 Fedora Update System 2010-03-10 02:44:55 EST
perl-Number-Bytes-Human-0.07-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc12
Comment 16 Fedora Update System 2010-03-10 02:45:33 EST
perl-Number-Bytes-Human-0.07-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc11
Comment 17 Fedora Update System 2010-03-11 02:13:53 EST
perl-Number-Bytes-Human-0.07-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Number-Bytes-Human'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc12
Comment 18 Fedora Update System 2010-03-11 02:16:04 EST
perl-Number-Bytes-Human-0.07-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Number-Bytes-Human'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc11
Comment 19 Fedora Update System 2010-03-11 02:20:05 EST
perl-Number-Bytes-Human-0.07-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Number-Bytes-Human'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Number-Bytes-Human-0.07-3.fc13
Comment 20 Fedora Update System 2010-03-31 21:56:15 EDT
perl-Number-Bytes-Human-0.07-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-03-31 21:57:18 EDT
perl-Number-Bytes-Human-0.07-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-04-09 00:21:25 EDT
perl-Number-Bytes-Human-0.07-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Michal Ambroz 2012-08-10 07:34:50 EDT
Package Change Request
======================
Package Name: perl-Number-Bytes-Human
New Branches: el5 el6
Owners: lystor rebus

Dear SCM team,
please can you add branches for EPEL for the package perl-Number-Bytes-Human ?
We have agreed with lystor that I (rebus) will co-maintain the packages for the EPEL as I have got another package (snmpcheck) which depends on the availability of perl-Number-Bytes-Human in EPEL.

Thank you
Michal Ambroz
Comment 24 Gwyn Ciesla 2012-08-10 08:14:02 EDT
Git done (by process-git-requests).
Comment 25 Michal Ambroz 2014-09-23 14:23:56 EDT
Package Change Request
======================
Package Name: perl-Number-Bytes-Human
New Branches: epel7
Owners: rebus lystor

Hello SCM team,
plase can you add epel7 branch for the perl-Number-Bytes-Human package?
Thank you
Michal Ambroz
Comment 26 Fabian Affolter 2015-01-18 04:35:17 EST
Sorry, again.

Package Change Request
======================
Package Name: perl-Number-Bytes-Human
New Branches: epel7
Owners: rebus lystor fab
Comment 27 Jason Tibbitts 2015-01-18 15:28:44 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.